package com.sweatybenny.sweatybenny;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** SweatybennyPlugin */
public class SweatybennyPlugin implements MethodCallHandler {
  private static final String CHANNEL = "test.com/sweat";
  String status;

  private String getStatus(int stressLevel){
    if(stressLevel <= 5){
      return "Benny is not sweaty";
    }else if(stressLevel > 5 && stressLevel <= 10){
      return "Benny is sweaty";
    }
    return "Benny is deady";
  }

  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "sweatybenny");
    channel.setMethodCallHandler(new SweatybennyPlugin());
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getStatus")) {
      String stress = call.argument("stress").toString();
      result.success(getStatus(Integer.parseInt(stress)));
    } else {

      result.notImplemented();
    }
  }
}
